diff a/test/jdk/java/foreign/TestRestricted.java b/test/jdk/java/foreign/TestRestricted.java
--- a/test/jdk/java/foreign/TestRestricted.java
+++ b/test/jdk/java/foreign/TestRestricted.java
@@ -51,10 +51,11 @@
 import java.util.Arrays;
 import java.util.HashSet;
 import java.util.List;
 import java.util.Set;
 import java.util.StringJoiner;
+import java.util.concurrent.Executor;
 import java.util.function.Consumer;
 import java.util.stream.Collectors;
 import java.util.stream.Stream;
 
 import static org.testng.Assert.assertTrue;
@@ -90,11 +91,12 @@
             RestrictedMethod.of(AddressLayout.class, "withTargetLayout", AddressLayout.class, MemoryLayout.class),
             RestrictedMethod.of(ModuleLayer.Controller.class, "enableNativeAccess", ModuleLayer.Controller.class, Module.class),
             RestrictedMethod.of(System.class, "load", void.class, String.class),
             RestrictedMethod.of(System.class, "loadLibrary", void.class, String.class),
             RestrictedMethod.of(Runtime.class, "load", void.class, String.class),
-            RestrictedMethod.of(Runtime.class, "loadLibrary", void.class, String.class)
+            RestrictedMethod.of(Runtime.class, "loadLibrary", void.class, String.class),
+            RestrictedMethod.of(Thread.Builder.OfVirtual.class, "scheduler", Thread.Builder.OfVirtual.class, Executor.class)
     );
 
     @Test
     public void testRestricted() {
         Set<RestrictedMethod> restrictedMethods = new HashSet<>(RESTRICTED_METHODS);
